# $Id: $
PidFile /var/run/sys.httpd.pid
ScoreBoardFile var/run/sys.httpd.scoreboard

ServerType standalone
ServerRoot "/u01/app/apache/product/current/"
Timeout 300
KeepAlive On
MaxKeepAliveRequests 100
KeepAliveTimeout 15
MinSpareServers 5
MaxSpareServers 10
StartServers 5
MaxClients 150
ServerTokens Prod
MaxRequestsPerChild 2048
LoadModule vhost_alias_module libexec/mod_vhost_alias.so
LoadModule env_module         libexec/mod_env.so
LoadModule config_log_module  libexec/mod_log_config.so
LoadModule mime_magic_module  libexec/mod_mime_magic.so
LoadModule mime_module        libexec/mod_mime.so
LoadModule negotiation_module libexec/mod_negotiation.so
LoadModule status_module      libexec/mod_status.so
LoadModule info_module        libexec/mod_info.so
LoadModule includes_module    libexec/mod_include.so
LoadModule autoindex_module   libexec/mod_autoindex.so
LoadModule dir_module         libexec/mod_dir.so
LoadModule asis_module        libexec/mod_asis.so
LoadModule imap_module        libexec/mod_imap.so
LoadModule action_module      libexec/mod_actions.so
LoadModule speling_module     libexec/mod_speling.so
LoadModule alias_module       libexec/mod_alias.so
LoadModule rewrite_module     libexec/mod_rewrite.so
LoadModule access_module      libexec/mod_access.so
#LoadModule cookie_auth_module libexec/mod_auth_cookie.so
LoadModule auth_module        libexec/mod_auth.so
#LoadModule tkt_auth_module    libexec/mod_auth_tkt.so
LoadModule proxy_module       libexec/libproxy.so
LoadModule expires_module     libexec/mod_expires.so
LoadModule headers_module     libexec/mod_headers.so
LoadModule usertrack_module   libexec/mod_usertrack.so
LoadModule unique_id_module   libexec/mod_unique_id.so
LoadModule setenvif_module    libexec/mod_setenvif.so
LoadModule agent_log_module   libexec/mod_log_agent.so
LoadModule referer_log_module libexec/mod_log_referer.so
<IfDefine SSL>
	LoadModule ssl_module         libexec/libssl.so
</IfDefine>
# LoadModule jserv_module       libexec/mod_jserv.so
ClearModuleList
AddModule mod_vhost_alias.c
AddModule mod_env.c
AddModule mod_log_config.c
AddModule mod_mime_magic.c
AddModule mod_mime.c
AddModule mod_negotiation.c
AddModule mod_status.c
AddModule mod_info.c
AddModule mod_include.c
AddModule mod_autoindex.c
AddModule mod_dir.c
AddModule mod_asis.c
AddModule mod_imap.c
AddModule mod_actions.c
AddModule mod_speling.c
AddModule mod_alias.c
AddModule mod_rewrite.c
AddModule mod_access.c
#AddModule mod_auth_cookie.c
AddModule mod_auth.c
#AddModule mod_auth_tkt.c
AddModule mod_proxy.c
AddModule mod_expires.c
AddModule mod_headers.c
AddModule mod_usertrack.c
AddModule mod_unique_id.c
AddModule mod_so.c
AddModule mod_setenvif.c
AddModule mod_log_agent.c
AddModule mod_log_referer.c
<IfDefine SSL>
        AddModule mod_ssl.c
</IfDefine>

ExtendedStatus On
DefaultType text/plain
<IfModule mod_mime_magic.c>
    MIMEMagicFile conf/magic
</IfModule>
HostnameLookups Off
#LogLevel warn
LogLevel debug
LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat "%h %l %u %t \"%r\" %>s %b" common
LogFormat "%{Referer}i -> %U" referer
LogFormat "%{User-agent}i" agent
Alias /icons/ "/u01/app/apache/product/current/icons/"
<Directory "/u01/app/apache/product/current/icons/">
    Options Indexes MultiViews
    AllowOverride None
    Order allow,deny
    Allow from all
</Directory>

IndexOptions FancyIndexing
AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip
AddIconByType (TXT,/icons/text.gif) text/*
AddIconByType (IMG,/icons/image2.gif) image/*
AddIconByType (SND,/icons/sound2.gif) audio/*
AddIconByType (VID,/icons/movie.gif) video/*
AddIcon /icons/binary.gif .bin .exe
AddIcon /icons/binhex.gif .hqx
AddIcon /icons/tar.gif .tar
AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv
AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip
AddIcon /icons/a.gif .ps .ai .eps
AddIcon /icons/layout.gif .html .shtml .htm .pdf
AddIcon /icons/text.gif .txt
AddIcon /icons/c.gif .c
AddIcon /icons/p.gif .pl .py
AddIcon /icons/f.gif .for
AddIcon /icons/dvi.gif .dvi
AddIcon /icons/uuencoded.gif .uu
AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl
AddIcon /icons/tex.gif .tex
AddIcon /icons/screw1.gif .jsp
AddIcon /icons/screw2.gif .js
AddIcon /icons/bomb.gif core
AddIcon /icons/back.gif ..
AddIcon /icons/hand.right.gif README
AddIcon /icons/folder.gif ^^DIRECTORY^^
AddIcon /icons/blank.gif ^^BLANKICON^^
DefaultIcon /icons/unknown.gif
ReadmeName README
HeaderName HEADER
IndexIgnore .??* *~ *# HEADER* README* RCS CVS *,v *,t

AddEncoding x-compress Z
AddEncoding x-gzip gz tgz
AddLanguage en .en
LanguagePriority en
AddType application/x-tar .tgz
BrowserMatch "Mozilla/2" nokeepalive
BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0
BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0" force-response-1.0
BrowserMatch "JDK/1\.0" force-response-1.0
BrowserMatch ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0 force-response-1.0

AccessFileName .htaccess
<Files ~ "^\.ht">
	Order allow,deny
	Deny from all
</Files>

<Location /server-status>
    SetHandler server-status
    Order deny,allow
    Deny from all
    Allow from x.x.x.0/24 127.0.0.1
</Location>
<Location /server-info>
    SetHandler server-info
    Order deny,allow
    Deny from all
    Allow from x.x.x.0/24	127.0.0.1
</Location>
<Location /cgi-bin/phf*>
    Deny from all
    ErrorDocument 403 http://phf.apache.org/phf_abuse_log.cgi
</Location>
<IfModule mod_proxy.c>
    ProxyRequests Off
    ProxyVia Block
    CacheSize 5
    CacheGcInterval 4
    CacheMaxExpire 24
    CacheLastModifiedFactor 0.1
    CacheDefaultExpire 1
</IfModule>
<IfModule mod_ssl.c>
        SSLSessionCacheTimeout  300
        SSLRandomSeed startup builtin
        SSLRandomSeed connect builtin
        SSLLogLevel info
	SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0 force-response-1.0
	AddType application/x-x509-ca-cert .crt
	AddType application/x-pkcs7-crl    .crl
</IfModule>
AddType text/html .shtml
AddHandler server-parsed .shtml
DirectoryIndex index.html index.htm index.jsp default.html default.htm default.jsp

UseCanonicalName Off
RewriteEngine On


#User nobody
#Group nobody
User www
Group www
ServerAdmin webmaster@sageain.com

Port 80
Listen x.x.x.x.15:80
BindAddress x.x.x.x
ServerName x.x.x.x

<IfModule mod_ssl.c>
	Port 443
	Listen x.x.x.x:443
        SSLSessionCache dbm:/var/log/httpd/sys.ssl_scache
        SSLMutex  file:/var/log/httpd/sys.ssl_mutex
#        SLMutex  sem 
        SSLLog /var/log/httpd/sys.ssl_engine_log
	CustomLog /var/log/httpd/sys.ssl_request_log "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"
</IfModule>

<IfModule mod_proxy.c>
    CacheRoot "/var/sys/proxy"
</IfModule>

ErrorLog /var/log/httpd/sys.error_log
CustomLog /var/log/httpd/sys.access_log common

<Directory />
	Options FollowSymLinks
	AllowOverride None
</Directory>

#<VirtualHost _default_:*>
<VirtualHost x.x.x.x:80>
	ServerName x.x.x.x
	DocumentRoot "/u02/sys/apache/e01/salefare_v1r1/clients/salefare/html/"
	DirectoryIndex index.jsp index.html index.htm
	<Directory   "/u02/sys/apache/e01/salefare_v1r1/clients/salefare/html/">
		Options Indexes FollowSymLinks +Includes
		AllowOverride None
		Order allow,deny
		Allow from all
	</Directory>
	RewriteEngine   On
	RewriteLogLevel 3
	RewriteCond     %{REQUEST_URI} ^/$ [OR]
	RewriteCond     %{REQUEST_URI} ^$
	RewriteRule     ^(.*)$ http://127.0.0.1:25280/clients/index.jsp?host=%{HTTP_HOST} [P]
	RewriteCond     %{REQUEST_URI} ^.*\.jsp$
	RewriteCond	%{QUERY_STRING} ^$
	RewriteRule     ^/(.*)\.jsp$ http://127.0.0.1:25280/clients/$1.jsp?host=%{HTTP_HOST} [P]
	RewriteCond     %{REQUEST_URI} ^.*\.jsp$
	RewriteRule     ^/(.*)\.jsp$ http://127.0.0.1:25280/clients/$1.jsp?%{QUERY_STRING}&host=%{HTTP_HOST} [P]
	ProxyPassReverse / http://127.0.0.1:25280/
</VirtualHost>

<IfModule mod_ssl.c>
	<VirtualHost x.x.x.x:443>
		ServerName x.x.x.x
		SSLEngine on
		SSLCertificateFile /u01/app/apache/product/current/conf/ssl.crt/VeriSignDemo.crt
		SSLCertificateKeyFile /u01/app/apache/product/current/conf/ssl.key/Demo.key
		<Files ~ "\.(cgi|shtml)$">
			SSLOptions +StdEnvVars
		</Files>

		DocumentRoot "/u02/sys/apache/e01/salefare_v1r1/clients/salefare/html/"
		DirectoryIndex index.jsp index.html index.htm
		<Directory "/u02/sys/apache/e01/salefare_v1r1/clients/salefare/html/">
			Options Indexes FollowSymLinks +Includes
			AllowOverride None
			Order allow,deny
			Allow from all
		</Directory>
		RewriteEngine   On
		RewriteLogLevel 3
		RewriteCond     %{REQUEST_URI} ^/$ [OR]
		RewriteCond     %{REQUEST_URI} ^$
		RewriteRule     ^(.*)$ http://127.0.0.1:25280/clients/index.jsp?host=%{HTTP_HOST} [P]
		RewriteCond     %{REQUEST_URI} ^.*\.jsp$
		RewriteCond	%{QUERY_STRING} ^$
		RewriteRule     ^/(.*)\.jsp$ http://127.0.0.1:25280/clients/$1.jsp?host=%{HTTP_HOST} [P]
		RewriteCond     %{REQUEST_URI} ^.*\.jsp$
		RewriteRule     ^/(.*)\.jsp$ http://127.0.0.1:25280/clients/$1.jsp?%{QUERY_STRING}&host=%{HTTP_HOST} [P]
		ProxyPassReverse / http://127.0.0.1:25280/
	</VirtualHost>
</IfModule>

